Package org.gdal.gdal

# Class MDArray

java.lang.Object
org.gdal.gdal.MDArray

public class MDArray extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dataset`
  `AsClassicDataset(long iXDim, long iYDim)`
  `Dataset`
  `AsClassicDataset(long iXDim, long iYDim, Group hRootGroup)`
  `Dataset`
  `AsClassicDataset(long iXDim, long iYDim, Group hRootGroup, Vector options)`
  `boolean`
  `Cache()`
  `boolean`
  `Cache(Vector options)`
  `Statistics`
  `ComputeStatistics()`
  `Statistics`
  `ComputeStatistics(boolean approx_ok)`
  `Statistics`
  `ComputeStatistics(boolean approx_ok, ProgressCallback callback)`
  `Statistics`
  `ComputeStatistics(boolean approx_ok, ProgressCallback callback, Vector options)`
  `Attribute`
  `CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type)`
  `Attribute`
  `CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type, Vector options)`
  `void`
  `delete()`
  `int`
  `DeleteAttribute(String name)`
  `int`
  `DeleteAttribute(String name, Vector options)`
  `int`
  `DeleteNoDataValue()`
  `Attribute`
  `GetAttribute(String name)`
  `ExtendedDataType`
  `GetDataType()`
  `Dimension`
  `GetDimension(long index)`
  `long`
  `GetDimensionCount()`
  `Dimension[]`
  `GetDimensions()`
  `String`
  `GetFullName()`
  `MDArray`
  `GetGridded(String pszGridOptions)`
  `MDArray`
  `GetGridded(String pszGridOptions, MDArray xArray)`
  `MDArray`
  `GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray)`
  `MDArray`
  `GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray, Vector options)`
  `MDArray`
  `GetMask()`
  `MDArray`
  `GetMask(Vector options)`
  `String`
  `GetName()`
  `void`
  `GetNoDataValueAsDouble(Double[] val)`
  `String`
  `GetNoDataValueAsString()`
  `void`
  `GetOffset(Double[] val)`
  `int`
  `GetOffsetStorageType()`
  `void`
  `GetScale(Double[] val)`
  `int`
  `GetScaleStorageType()`
  `SpatialReference`
  `GetSpatialRef()`
  `Statistics`
  `GetStatistics()`
  `Statistics`
  `GetStatistics(boolean approx_ok)`
  `Statistics`
  `GetStatistics(boolean approx_ok, boolean force)`
  `Statistics`
  `GetStatistics(boolean approx_ok, boolean force, ProgressCallback callback)`
  `Hashtable`
  `GetStructuralInfo()`
  `long`
  `GetTotalElementsCount()`
  `String`
  `GetUnit()`
  `MDArray`
  `GetUnscaled()`
  `MDArray`
  `GetView(String viewExpr)`
  `boolean`
  `Read(long[] starts, long[] counts, byte[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, double[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, float[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, int[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, byte[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, double[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, float[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, int[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, long[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, long[] strides, byte[] arrayOut)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, long[] strides, double[] arrayOut)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, long[] strides, float[] arrayOut)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, long[] strides, int[] arrayOut)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, long[] strides, long[] arrayOut)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, long[] strides, short[] arrayOut)`
  `boolean`
  `Read(long[] starts, long[] counts, long[] steps, short[] outputBuffer)`
  `boolean`
  `Read(long[] starts, long[] counts, short[] outputBuffer)`
  `int`
  `Rename(String newName)`
  `int`
  `Resize(long[] newDimensions)`
  `int`
  `Resize(long[] newDimensions, Vector options)`
  `int`
  `SetNoDataValueDouble(double d)`
  `int`
  `SetNoDataValueString(String nodata)`
  `int`
  `SetOffset(double val)`
  `int`
  `SetOffset(double val, int storageType)`
  `int`
  `SetScale(double val)`
  `int`
  `SetScale(double val, int storageType)`
  `int`
  `SetSpatialRef(SpatialReference srs)`
  `int`
  `SetUnit(String unit)`
  `MDArray`
  `Transpose(int[] axisMap)`
  `boolean`
  `Write(long[] starts, long[] counts, byte[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, double[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, float[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, int[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, byte[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, double[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, float[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, int[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, long[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, long[] strides, byte[] arrayIn)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, long[] strides, double[] arrayIn)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, long[] strides, float[] arrayIn)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, long[] strides, int[] arrayIn)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, long[] strides, long[] arrayIn)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, long[] strides, short[] arrayIn)`
  `boolean`
  `Write(long[] starts, long[] counts, long[] steps, short[] inputBuffer)`
  `boolean`
  `Write(long[] starts, long[] counts, short[] inputBuffer)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### GetDimensions

    public Dimension[] GetDimensions()

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, byte[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, short[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, int[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, long[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, float[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, double[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, byte[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, short[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, int[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, float[] outputBuffer)

  - ### Read

    public boolean Read(long[] starts, long[] counts, double[] outputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, byte[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, short[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, int[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, long[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, float[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, double[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, byte[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, short[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, int[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, float[] inputBuffer)

  - ### Write

    public boolean Write(long[] starts, long[] counts, double[] inputBuffer)

  - ### GetName

    public String GetName()

  - ### GetFullName

    public String GetFullName()

  - ### GetTotalElementsCount

    public long GetTotalElementsCount()

  - ### GetDimensionCount

    public long GetDimensionCount()

  - ### GetDataType

    public ExtendedDataType GetDataType()

  - ### GetStructuralInfo

    public Hashtable GetStructuralInfo()

  - ### Resize

    public int Resize(long[] newDimensions, Vector options)

  - ### Resize

    public int Resize(long[] newDimensions)

  - ### GetAttribute

    public Attribute GetAttribute(String name)

  - ### CreateAttribute

    public Attribute CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type, Vector options)

  - ### CreateAttribute

    public Attribute CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type)

  - ### DeleteAttribute

    public int DeleteAttribute(String name, Vector options)

  - ### DeleteAttribute

    public int DeleteAttribute(String name)

  - ### GetNoDataValueAsDouble

    public void GetNoDataValueAsDouble(Double[] val)

  - ### GetNoDataValueAsString

    public String GetNoDataValueAsString()

  - ### SetNoDataValueDouble

    public int SetNoDataValueDouble(double d)

  - ### SetNoDataValueString

    public int SetNoDataValueString(String nodata)

  - ### DeleteNoDataValue

    public int DeleteNoDataValue()

  - ### GetOffset

    public void GetOffset(Double[] val)

  - ### GetOffsetStorageType

    public int GetOffsetStorageType()

  - ### GetScale

    public void GetScale(Double[] val)

  - ### GetScaleStorageType

    public int GetScaleStorageType()

  - ### SetOffset

    public int SetOffset(double val, int storageType)

  - ### SetOffset

    public int SetOffset(double val)

  - ### SetScale

    public int SetScale(double val, int storageType)

  - ### SetScale

    public int SetScale(double val)

  - ### SetUnit

    public int SetUnit(String unit)

  - ### GetUnit

    public String GetUnit()

  - ### SetSpatialRef

    public int SetSpatialRef(SpatialReference srs)

  - ### GetSpatialRef

    public SpatialReference GetSpatialRef()

  - ### GetView

    public MDArray GetView(String viewExpr)

  - ### Transpose

    public MDArray Transpose(int[] axisMap)

  - ### GetUnscaled

    public MDArray GetUnscaled()

  - ### GetMask

    public MDArray GetMask(Vector options)

  - ### GetMask

    public MDArray GetMask()

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray, Vector options)

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray)

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions, MDArray xArray)

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions)

  - ### AsClassicDataset

    public Dataset AsClassicDataset(long iXDim, long iYDim, Group hRootGroup, Vector options)

  - ### AsClassicDataset

    public Dataset AsClassicDataset(long iXDim, long iYDim, Group hRootGroup)

  - ### AsClassicDataset

    public Dataset AsClassicDataset(long iXDim, long iYDim)

  - ### GetStatistics

    public Statistics GetStatistics(boolean approx_ok, boolean force, ProgressCallback callback)

  - ### GetStatistics

    public Statistics GetStatistics(boolean approx_ok, boolean force)

  - ### GetStatistics

    public Statistics GetStatistics(boolean approx_ok)

  - ### GetStatistics

    public Statistics GetStatistics()

  - ### ComputeStatistics

    public Statistics ComputeStatistics(boolean approx_ok, ProgressCallback callback, Vector options)

  - ### ComputeStatistics

    public Statistics ComputeStatistics(boolean approx_ok, ProgressCallback callback)

  - ### ComputeStatistics

    public Statistics ComputeStatistics(boolean approx_ok)

  - ### ComputeStatistics

    public Statistics ComputeStatistics()

  - ### Cache

    public boolean Cache(Vector options)

  - ### Cache

    public boolean Cache()

  - ### Rename

    public int Rename(String newName)

  - ### GetDimension

    public Dimension GetDimension(long index)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, long[] strides, byte[] arrayOut)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, long[] strides, short[] arrayOut)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, long[] strides, int[] arrayOut)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, long[] strides, long[] arrayOut)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, long[] strides, float[] arrayOut)

  - ### Read

    public boolean Read(long[] starts, long[] counts, long[] steps, long[] strides, double[] arrayOut)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, long[] strides, byte[] arrayIn)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, long[] strides, short[] arrayIn)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, long[] strides, int[] arrayIn)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, long[] strides, long[] arrayIn)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, long[] strides, float[] arrayIn)

  - ### Write

    public boolean Write(long[] starts, long[] counts, long[] steps, long[] strides, double[] arrayIn)